ELF32_GETCHDR(3)

NAME
elf32_getchdr, elf64_getchdr - retrieve the compression header for a section from a 32-bit or 64-bit ELF object file.

SYNOPSIS
#include <libelf.h>
Elf32_Chdr *elf32_getchdr(Elf_Scn *scn);
Elf64_Chdr *elf64_getchdr(Elf_Scn *scn);

DESCRIPTION
Retrieve the compression header for a section with compressed data. Sections with compressed data are indicated with the SHF_COMPRESSED flag. See libelf(3) for more information regarding the compression header.

PARAMETERS

scn Section whose compression header will be retrieved. The section's SHF_COMPRESSED flag must be set.

RETURN VALUE
On success, return a pointer to the compression header. On failure, return NULL and set a libelf error code.

SEE ALSO
elf_compress(3), elf_errno(3), libelf(3), elf(5)

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.

HISTORY
elf32_getchdr first appeared in elfutils 0.165.